WordPress.org

Ready to get started?Download WordPress

Forums

Can't use the Flash uploader on a Mac? I may have a solution... (2 posts)

  1. Adrian Toll
    Member
    Posted 5 years ago #

    Hi All

    I'm posting this because I've been tearing my hair out for weeks trying to suss this out, and I couldn't find any solutions online.

    When I tried to use the Flash uploader in WordPress 2.7 with a Mac (both Safari and Firefox) with Flash 10 I would get an HTTP Error message, whereas I could upload fine from a PC, both IE and Firefox, with Flash 10.

    After having gone through lots of ideas, I finally hit on the fact that the site was behind an htaccess / htpaswd restriction because it was in development and I didn't want other people to see it.

    When I commented those lines out of the htaccess file it worked perfectly.

    I have a feeling that this also applies to some plugins, like the WordPress Authentication Plugin, with which I had the same problems. (I can't check this, because that blog has to stay on 2.6 for various reasons, and the 2.6 Flash uploader doesn't seem to work at all with Flash 10).

    I'm guessing it's because Flash is more tightly integrated with browsers in Windows, whereas perhaps Flash on a Mac doesn't pick up the authentication information from the browsers. Or something...

    Anyway, I thought that might save someone else's hair!

    Cheers

    Adrian

  2. ravanelliartworks
    Member
    Posted 4 years ago #

    how do I access this htaccess file ? So i can erase that ?

Topic Closed

This topic has been closed to new replies.

About this Topic